Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
crypt.h File Reference

Go to the source code of this file.

## Data Structures
union | C_block
struct | crypt_data

## Macros
#define | STATIC static
#define | LGCHUNKBITS 2
#define | CHUNKBITS (1<<LGCHUNKBITS)
#define | KS_SIZE 16

## Functions
char * | crypt (const char *key, const char *setting)
void | setkey (const char *key)
void | encrypt (char *block, int flag)
char * | crypt_r (const char *key, const char *setting, struct crypt_data *data)
void | setkey_r (const char *key, struct crypt_data *data)
void | encrypt_r (char *block, int flag, struct crypt_data *data)

## Macro Definition Documentation

## ◆ CHUNKBITS

#define CHUNKBITS (1<<LGCHUNKBITS)

Definition at line 227 of file crypt.h.

## ◆ KS_SIZE

#define KS_SIZE 16

Definition at line 232 of file crypt.h.

## ◆ LGCHUNKBITS

#define LGCHUNKBITS 2

Definition at line 226 of file crypt.h.

## ◆ STATIC

#define STATIC static

Definition at line 84 of file crypt.h.

## Function Documentation

## ◆ crypt()

char* crypt | ( | const char * | key,
|  | const char * | setting
| ) |  |

## ◆ crypt_r()

char* crypt_r | ( | const char * | key,
|  | const char * | setting,
|  | struct crypt_data * | data
| ) |  |

Definition at line 396 of file crypt.c.

References C_block::b, i, and key.

## ◆ encrypt()

void encrypt | ( | char * | block,
|  | int | flag
| ) |  |

## ◆ encrypt_r()

void encrypt_r | ( | char * | block,
|  | int | flag,
|  | struct crypt_data * | data
| ) |  |

Definition at line 835 of file crypt.c.

References C_block::b, char, and i.

## ◆ setkey()

void setkey | ( | const char * | key | ) |

## ◆ setkey_r()

void setkey_r | ( | const char * | key,
|  | struct crypt_data * | data
| ) |  |

Definition at line 807 of file crypt.c.

References C_block::b, char, i, and key.